     

INCLUDE(UsePkgConfig)
PKGCONFIG(GTLImageIO _GTLImageIOIncDir _GTLImageIOLinkDir _GTLImageIOLinkFlags _GTLImageIOCflags)

set(GTLIMAGEIO_DEFINITIONS ${_GTLImageIOCflags})
set(GTLIMAGEIO_LIBRARIES ${_GTLImageIOLinkFlags})
set(GTLIMAGEIO_INCLUDE_DIR ${_GTLImageIOIncDir})

if(GTLIMAGEIO_DEFINITIONS AND GTLIMAGEIO_LIBRARIES)

  FIND_PROGRAM(PKGCONFIG_EXECUTABLE NAMES pkg-config PATHS /usr/bin/ /usr/local/bin )

  # query pkg-config asking for GTLImageIO == 0.9.2
  EXEC_PROGRAM(${PKGCONFIG_EXECUTABLE} ARGS --atleast-version=0.9.3 GTLImageIO RETURN_VALUE _return_VALUE OUTPUT_VARIABLE _pkgconfigDevNull )

  if(_return_VALUE STREQUAL "0")
    set(GTLIMAGEIO_FOUND TRUE)
    set(HAVE_GTLIMAGEIO TRUE)
  else(_return_VALUE STREQUAL "0")
    message(STATUS "GTLImageIO >= 0.9.6 was found")
  endif(_return_VALUE STREQUAL "0")
endif(GTLIMAGEIO_DEFINITIONS AND GTLIMAGEIO_LIBRARIES)

if (GTLIMAGEIO_FOUND)
    if (NOT GTLImageIO_FIND_QUIETLY)
        message(STATUS "Found GTLIMAGEIO: ${GTLIMAGEIO_LIBRARIES}")
    endif (NOT GTLImageIO_FIND_QUIETLY)
else (GTLIMAGEIO_FOUND)
    if (NOT GTLImageIO_FIND_QUIETLY)
        message(STATUS "GTLImageIO was NOT found.")
    endif (NOT GTLImageIO_FIND_QUIETLY)
    if (GTLImageIO_FIND_REQUIRED)
        message(FATAL_ERROR "Could NOT find GTLIMAGEIO")
    endif (GTLImageIO_FIND_REQUIRED)
endif (GTLIMAGEIO_FOUND)
