
INCLUDE(UsePkgConfig)
PKGCONFIG(QtGTL _QtGTLIncDir _QtGTLLinkDir _QtGTLLinkFlags _QtGTLCflags)

set(QTGTL_DEFINITIONS ${_QtGTLCflags})
set(QTGTL_LIBRARIES ${_QtGTLLinkFlags})
set(QTGTL_INCLUDE_DIR ${_QtGTLIncDir})

if(QTGTL_DEFINITIONS AND QTGTL_LIBRARIES)

  FIND_PROGRAM(PKGCONFIG_EXECUTABLE NAMES pkg-config PATHS /usr/bin/ /usr/local/bin )

  # query pkg-config asking for QtGTL >= 0.9.0
  EXEC_PROGRAM(${PKGCONFIG_EXECUTABLE} ARGS --atleast-version=0.9.0 QtGTL RETURN_VALUE _return_VALUE OUTPUT_VARIABLE _pkgconfigDevNull )

  if(_return_VALUE STREQUAL "0")
    set(QTGTL_FOUND TRUE)
    set(HAVE_QTGTL TRUE)
  else(_return_VALUE STREQUAL "0")
    message(STATUS "QtGTL >= 0.9.0 was found")
  endif(_return_VALUE STREQUAL "0")
endif(QTGTL_DEFINITIONS AND QTGTL_LIBRARIES)

if (QTGTL_FOUND)
    if (NOT QTGTL_FIND_QUIETLY)
        message(STATUS "Found QtGTL: ${QTGTL_LIBRARIES}")
    endif (NOT QTGTL_FIND_QUIETLY)
else (OPENShiva_FOUND)
    if (NOT QtGTL_FIND_QUIETLY)
        message(STATUS "QtGTL was NOT found.")
    endif (NOT QtGTL_FIND_QUIETLY)
    if (QtGTL_FIND_REQUIRED)
        message(FATAL_ERROR "Could NOT find QtGTL")
    endif (QtGTL_FIND_REQUIRED)
endif (QTGTL_FOUND)
